# Job Posting Processes Job Posting Processes ## Gets all of the job posting processes in the system. - [GET /jobPostingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/listjobpostingprocesses.md): This method will scan all job posting processes and and return them to the caller. ## Creates a new job posting process record that does not already exist. - [POST /jobPostingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/createjobpostingprocess.md): This method will auto-generate an ID and create a new job posting process. If an ID is specified for the job posting process, an error will be thrown. ## Execute Batch Operations - [POST /jobPostingProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a job posting process from the system by its ID. - [DELETE /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/deletejobpostingprocess.md): This method will delete a job posting process with the specified ID. ## Returns a job posting process from the system by its ID. - [GET /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/getjobpostingprocess.md): This method will look up a job posting process by the specified ID and return it back. ## Partially updates a job posting process with the specified ID. - [PATCH /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/patchjobpostingprocess.md): This method will patch an existing job posting process with the specified ID, using the HTTP PATCH specification. ## Updates a job posting process with the specified ID. - [PUT /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/updatejobpostingprocess.md): This method will update an existing job posting process with the specified ID.